﻿using RouteGuideContracts.BindingModels;
using RouteGuideContracts.SearchModels;
using RouteGuideContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RouteGuideContracts.BusinessLogicContracts
{
    public interface ITransportLogic
    {
        List<TransportViewModel>? ReadList(TransportSearchModel? model);

        TransportViewModel? ReadElement(TransportSearchModel model);        

        bool Create(TransportBindingModel model);
        bool Update(TransportBindingModel model);
        bool Delete(TransportBindingModel model);
    }
}
