﻿using RouteGuideContracts.BindingModels;
using RouteGuideContracts.SearchModels;
using RouteGuideContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RouteGuideContracts.StoragesModels
{
    public interface IStopStorage
    {
        List<StopViewModel> GetFullList();

        List<StopViewModel> GetFilteredList(StopSearchModel model);

        StopViewModel? GetElement(StopSearchModel model);

        StopViewModel? Insert(StopBindingModel model);
        StopViewModel? Update(StopBindingModel model);
        StopViewModel? Delete(StopBindingModel model);
    }
}
