﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RouteGuideDatabaseImplements.Models
{
    public class RouteStop
    {
        public int Id { get; set; }

        [Required]
        public int StopId { get; set; }

        [Required]
        public int RouteId { get; set; }

        [Required]
        public int Number { get; set; }

        public virtual Route Route { get; set; } = new();
        public virtual Stop Stop { get; set; } = new();
    }
}
