﻿using RouteGuideContracts.BindingModels;
using RouteGuideContracts.SearchModels;
using RouteGuideContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RouteGuideContracts.BusinessLogicContracts
{
    public interface IStopLogic
    {
        List<StopViewModel>? ReadList(StopSearchModel? model);

        StopViewModel? ReadElement(StopSearchModel model);

        bool Create(StopBindingModel model);
        bool Update(StopBindingModel model);
        bool Delete(StopBindingModel model);
    }
}
